Bug 510177 - switch workspaces will freeze metacity
switch workspaces will freeze metacity
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 02:51 EDT by Lu Zhihe
Modified: 2014-06-18 05:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 16:52:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lu Zhihe 2009-07-08 02:51:50 EDT
Description of problem:
    CX700/VX800 + Fedora 11 final release, When disable GDM, startx is OK. Open a gnome-terminal, then do a "switching workspaces", it don't do the switch actually, the gnome-terminal window can't be moved, the cursor can move.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open a gnome-terminal window
2. switching workspaces
3. the gnome-terminal window can't move
  
Actual results:
"Switching workspaces" don't switch correctly. 

Expected results:
"Switching workspaces" correctly, can move the window correctly.

Additional info:
It seems is cause by pulseaudio. When disable "Sound Theme" on VolumeControl, it is OK.

It can be proved by doint following:
1. xinit
2. metacity&
3. gnome-pannel&
3. switch workspaces
4. It print
    "Assertion 'pthread_mutex_unlock(&m->mutex) == 0' failed at
     pulsecore/mutex-posix.c:108, function pa_mutex_unlock(). Aborting.
     "
   And metacity is killed.
Comment 1 Lu Zhihe 2009-07-08 03:01:53 EDT
Even use vesa X driver, the result is the same.
Comment 2 Richard W.M. Jones 2009-07-30 06:05:10 EDT
I can confirm this bug happens for me *in Rawhide*.

What actually happens:

* log in to Gnome
* everything works fine, until ...
* you try to switch workspaces
* at this point everything stops working

metacity at this point is consuming 100% CPU, and not making
any system calls.  If you are able to kill metacity and rerun
it ('metacity --replace &') then things will start working
until you try to switch workspaces again.

As described in comment 0, I was able to fix this by
setting Sound Themes -> None in the volume control prefs.
So I also suspect this is a pulseaudio bug, although I'm
not really sure how to prove this.

glibc-2.10.90-10.x86_64
metacity-2.27.0-2.fc12.x86_64
pulseaudio-0.9.15-14.fc11.x86_64
Comment 3 Jesse Keating 2009-09-16 15:34:01 EDT
I'm seeing this too, however killing all pulseaudio processes seems to fix this without having to restart metacity.
Comment 4 Bug Zapper 2009-11-16 05:43:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Owen Taylor 2009-11-16 11:20:31 EST
Is this still happening or can this be closed?
Comment 6 Jesse Keating 2009-11-16 12:40:34 EST
I haven't seen it in a while.
Comment 7 Owen Taylor 2009-11-16 16:52:34 EST
Assuming OK now. Please reopen if anybody is still reproducing

Note You need to log in before you can comment on or make changes to this bug.